/*****************************************************************************/
/*
                                  CGI.h

Defines and function prototypes for CGI module.

*/
/*****************************************************************************/

#ifndef CGI_H_LOADED
#define CGI_H_LOADED 1

#include "wasd.h"

#define CGI_VARIABLE_DCL     1
#define CGI_VARIABLE_STREAM  2

#define CGI_OUTPUT_END           -1
#define CGI_OUTPUT_ABSORB        -2
#define CGI_OUTPUT_ESCAPE_BEGIN  -3
#define CGI_OUTPUT_ESCAPE        -4
#define CGI_OUTPUT_ESCAPE_END    -5

/***********************/
/* function prototypes */
/***********************/

#define CgiSequenceEot(charptr,lenptr) CgiSequence ('D', charptr, lenptr);
#define CgiSequenceEof(charptr,lenptr) CgiSequence ('Z', charptr, lenptr);
#define CgiSequenceEsc(charptr,lenptr) CgiSequence ('[', charptr, lenptr);

CgiGenerateVariables (struct RequestStruct*, int);
CgiVariable (struct RequestStruct*, char*, char*, int);
CgiVariableBufferMemory (struct RequestStruct*, int);
CgiUrlDecodeString (struct RequestStruct*, char*, char*, int, char);

#endif /* CGI_H_LOADED */

/*****************************************************************************/

